Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.messagebox.model
Class MessageSMS

    java.lang.Object
      org.teleal.cling.support.messagebox.model.Message
          org.teleal.cling.support.messagebox.model.MessageSMS

All Implemented Interfaces:
  ElementAppender

    public class MessageSMS

extends Message

Sender and body will only be displayed if display type is set to "Maximum".

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.support.messagebox.model.Message
`Message.Category, Message.DisplayType`

Field Summary

Fields inherited from class org.teleal.cling.support.messagebox.model.Message
`randomGenerator`

Constructor Summary
`MessageSMS(DateTime receiveTime, NumberName receiver, NumberName sender, String body)`
`MessageSMS(Message.DisplayType displayType, DateTime receiveTime, NumberName receiver, NumberName sender, String body)`
`MessageSMS(NumberName receiver, NumberName sender, String body)`

Method Summary
`void` | `appendMessageElements(MessageElement parent)`
`String` | `getBody()`
`NumberName` | `getReceiver()`
`DateTime` | `getReceiveTime()`
`NumberName` | `getSender()`

Methods inherited from class org.teleal.cling.support.messagebox.model.Message
`equals, getCategory, getDisplayType, getId, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageSMS

    public MessageSMS(NumberName receiver,
                      NumberName sender,
                      String body)

### MessageSMS

    public MessageSMS(DateTime receiveTime,
                      NumberName receiver,
                      NumberName sender,
                      String body)

### MessageSMS

    public MessageSMS(Message.DisplayType displayType,
                      DateTime receiveTime,
                      NumberName receiver,
                      NumberName sender,
                      String body)

Method Detail

### getReceiveTime

    public DateTime getReceiveTime()

### getReceiver

    public NumberName getReceiver()

### getSender

    public NumberName getSender()

### getBody

    public String getBody()

### appendMessageElements

    public void appendMessageElements(MessageElement parent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.